<?php
/*****************************************************************************/
/* SendTopic.php                                                             */
/*****************************************************************************/
/* YaBB SE: Yet another Bulletin Board Splinter Edition                      */
/* Open-Source Project inspired by Zef Hemel (zef@zefhemel.com)              */
/* Software Version:           YaBB SE 1.5.1                                 */
/* Software by:                The YaBB SE Development Team                  */
/* ========================================================================= */
/* Software Distributed by:    http://www.yabbse.org                         */
/* Copyright 2001-2003 by:     http://www.lewismedia.com (Lewis Media)       */
/* Support, News, Updates at:  http://www.yabbse.org/community               */
/* Inspired and Ported From:   http://www.yabbforum.com                      */
/*****************************************************************************/
/* This program is free software; you may redistribute it and/or modify it   */
/* under the terms of the provided license as published by Lewis Media.      */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the provided    */
/* license for more information.                                             */
/*                                                                           */
/* See license.txt for details of the YaBB SE license. The latest version    */
/* of this license can be found at the distributor's site seen above.        */
/*****************************************************************************/

$sendtopicphpver = 'YaBB SE 1.5.1';

function SendTopic()
{
	global $threadid, $board, $cgi, $txt, $img, $imagesdir, $sourcedir, $color, $settings, $username, $db_prefix, $sc, $yytitle, $settings;
	if ($board == "_" || $board == "" || $board == " ")
		fatal_error($txt[709]);
	if ($threadid == "_" || $threadid == "" || $threadid == " ")
		fatal_error($txt[710]);

	$condition = ($settings[7] == 'Administrator' || $settings[7] == 'Global Moderator' ? '1' : "(FIND_IN_SET('$settings[7]', c.memberGroups) != 0 || c.memberGroups='')");
	$request = mysql_query("
		SELECT m.*
		FROM {$db_prefix}messages AS m, {$db_prefix}topics AS t, {$db_prefix}boards AS b, {$db_prefix}categories AS c
		WHERE m.ID_TOPIC=$threadid
			AND t.ID_TOPIC=$threadid
			AND t.ID_BOARD=$board
			AND b.ID_BOARD=$board
			AND c.ID_CAT=b.ID_CAT
		ORDER BY ID_MSG
		LIMIT 1;") or database_error(__FILE__, __LINE__);
	if (mysql_num_rows($request) == 0)
		fatal_error($txt[1]);
	$row = mysql_fetch_array($request);

	CensorTxt($row['subject']);
	$yytitle = "$txt[707]&nbsp; &#171; $row[subject] &#187; &nbsp;$txt[708]";
	template_header();

	echo '
		<form action="' . $cgi . ';action=sendtopic2" method="post">
			<table border="0" align="center" cellspacing="1" cellpadding="0" bgcolor="' . $color['bordercolor'] . '" class="bordercolor">
				<tr>
					<td width="100%" bgcolor="' . $color['windowbg'] . '" class="windowbg">
						<table width="100%" border="0" cellspacing="0" cellpadding="3">
							<tr>
								<td class="titlebg" bgcolor="' . $color['titlebg'] . '" colspan="2">
									<img src="' . $imagesdir . '/email_sm.gif" alt="" border="0" />
									<font size="2" class="text1" color="' . $color['titletext'] . '"><b>' . $yytitle . '</b></font>
								</td>
							</tr><tr>
								<td bgcolor="' . $color['windowbg'] . '" class="windowbg" align="right" valign="top"><font size="2"><b>' . $txt[715] . '</b></font></td>
								<td bgcolor="' . $color['windowbg'] . '" class="windowbg" align="left" valign="middle"><input type="text" name="y_name" size="20" maxlength="40" value="' . $settings[1] . '" /></td>
							</tr><tr>
								<td bgcolor="' . $color['windowbg'] . '" class="windowbg" align="right" valign="top"><font size="2"><b>' . $txt[716] . '</b></font></td>
								<td bgcolor="' . $color['windowbg'] . '" class="windowbg" align="left" valign="middle"><input type="text" name="y_email" size="20" maxlength="40" value="' . $settings[2] . '" /></td>
							</tr><tr>
								<td bgcolor="' . $color['windowbg'] . '" class="windowbg" align="center" valign="top" colspan="2"><hr width="100%" size="1" class="windowbg3" /></td>
							</tr><tr>
								<td bgcolor="' . $color['windowbg'] . '" class="windowbg" align="right" valign="top"><font size="2"><b>' . $txt[717] . '</b></font></td>
								<td bgcolor="' . $color['windowbg'] . '" class="windowbg" align="left" valign="middle"><input type="text" name="r_name" size="20" maxlength="40" /></td>
							</tr><tr>
								<td bgcolor="' . $color['windowbg'] . '" class="windowbg" align="right" valign="top"><font size="2"><b>' . $txt[718] . '</b></font></td>
								<td bgcolor="' . $color['windowbg'] . '" class="windowbg" align="left" valign="middle"><input type="text" name="r_email" size="20" maxlength="40" /></td>
							</tr><tr>
								<td bgcolor="' . $color['windowbg'] . '" class="windowbg" align="center" valign="middle" colspan="2">
									<input type="hidden" name="board" value="' . $board . '" />
									<input type="hidden" name="threadid" value="' . $threadid . '" />
									<input type="submit" name="Send" value="' . $txt[339] . '" />
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<input type="hidden" name="sc" value="' . $sc . '" />
		</form>';

	footer();
	obExit();
}

function SendTopic2()
{
	global $threadid, $board, $y_name, $r_name, $y_email, $r_email, $yySetLocation, $cgi, $txt, $mbname, $db_prefix;

	checkSession();

	if ($board == '_' || $board == '' || $board == ' ' || !is_numeric($board))
		fatal_error($txt[709]);
	if ($threadid == '_' || $threadid == '' || $threadid == ' ' || !is_numeric($threadid))
		fatal_error($txt[710]);

	$y_name = trim($y_name);
	$r_name = trim($r_name);

	if ($y_name == '_' || $y_name == '' || $y_name == ' ')
		fatal_error($txt[75]);
	if (empty($y_email))
		fatal_error($txt[76]);
	if (!preg_match("/^[0-9A-Za-z@\._\-]+$/", $y_email))
		 fatal_error($txt[243]);

	if ($r_name == '_' || $r_name == '' || $r_name == ' ')
		fatal_error($txt[710]);
	if (empty($r_email))
		fatal_error($txt[76]);
	if (!preg_match("/^[0-9A-Za-z@\._\-]+$/", $r_email))
		fatal_error($txt[243]);

	$request = mysql_query("SELECT subject FROM {$db_prefix}messages WHERE ID_TOPIC=$threadid ORDER BY ID_MSG LIMIT 1;") or database_error(__FILE__, __LINE__);
	$row = mysql_fetch_array($request);

	CensorTxt($row['subject']);
	$row['subject'] = un_html_entities($row['subject']);

	sendmail($r_email, "$txt[118]:  $row[subject] ($txt[318] $y_name)", "$txt[711] $r_name,\n\n$txt[712]: $row[subject], on $mbname. $txt[713]:\n\n$cgi;action=display;threadid=$threadid\n\n\n$txt[714],\n$y_name", $y_email);

	$yySetLocation ="$cgi;action=display;threadid=$threadid";
	redirectexit();
}

?>